WCPNCPY(3)

NAME
wcpncpy - copy a fixed-size string of wide characters, returning a pointer to its end

SYNOPSIS
#define _GNU_SOURCE
#include <wchar.h>

wchar_t *wcpncpy(wchar_t *dest, const wchar_t *src, size_t n);

DESCRIPTION
The wcpncpy function is the wide-character equivalent of the stpncpy function. It copies at most n wide characters from the wide-character string pointed to by src, including the terminating L'\0' character, to the array pointed to by dest. Exactly n wide characters are written at dest. If the length wcslen(src) is smaller than n, the remaining wide characters in the array pointed to by dest are filled with L'\0' characters. If the length wcslen(src) is greater or equal to n, the string pointed to by dest will not be L'\0' terminated.

The strings may not overlap.

The programmer must ensure that there is room for at least n wide characters at dest.

RETURN VALUE
wcpncpy returns a pointer to the last wide character written, i.e. dest + n - 1.

CONFORMING TO
This function is a GNU extension.

SEE ALSO
stpncpy(3), wcsncpy(3)